ata_scsi_verify_xlat
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_verify_xlat — Translate SCSI VERIFY command into an ATA one

## Synopsis

`unsigned int ata_scsi_verify_xlat (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Storage for translated ATA taskfile

## Description

Converts SCSI VERIFY command to an ATA READ VERIFY command.

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

Zero on success, non-zero on error.

Prev | Up | Next
scsi_16_lba_len | Home | ata_scsi_rw_xlat